import request from '@/utils/request'

// 注册前校验
export function registerCheck(memberName, idcard, mobile) {
  const data = {
    memberName,
    idcard,
    mobile
  }
  console.log(data)
  return request({
    url: '/register/check',
    method: 'post',
    data: data
  })
}
//注册
export function registerOn(memberName, idcard, mobile, smsCode,uuid) {
  const data = {
    memberName,
    idcard,
    mobile,
    smsCode,
    uuid
  }
  return request({
    url: '/register/on',
    method: 'post',
    data: data
  })
}
//注册
export function userRegister(data) {
  return request({
    url: '/transaction/website/addMember',
    method: 'post',
    data: data
  })
}

